% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/option.r
\name{lidr_options}
\alias{lidr_options}
\alias{lidr_reset}
\title{Options Settings for the lidR package}
\usage{
lidr_options(...)

lidr_reset()
}
\arguments{
\item{...}{Option names to retrieve option values or \code{[key]=[value]} pairs to set options.}
}
\description{
Allow the user to set and examine a variety of global options that affect the way in which
lidR computes and displays its results.
}
\section{Supported options}{

The following options are supported:
\itemize{
 \item{\code{verbose} (\code{logical}) Make the package "talkative". }
 \item{\code{progress} (\code{logical}) Display progress bars when available. }
}
}

\examples{
lidr_options(verbose = TRUE)
lidr_options(progress = TRUE)

# Reset default options
lidr_reset()
}
